Subject: Re: linux-next: manual merge of the rcu tree with Linus' tree

From: "Paul E. McKenney" <[email-masked]>
Date: Tue, 5 Oct 2010 21:17:00 -0700

On Wed, Oct 06, 2010 at 01:38:25PM +1100, Stephen Rothwell wrote:
> Hi Paul,
> 
> Today's linux-next merge of the rcu tree got a conflict in
> include/linux/rcupdate.h between commit
> b3a084b9b684622b149e8dcf03855bf0d5fb588b ("rcu: rcu_read_lock_bh_held():
> disabling irqs also disables bh") from Linus' tree and commit
> ca5ecddfa8fcbd948c95530e7e817cee9fb43a3d ("rcu: define __rcu address
> space modifier for sparse") from the rcu tree.
> 
> I am not sure how to fix this, so I just used the version from the rcu
> tree.

I believe that I will have an update that will get rid of the conflict.
But I will let you be the final judge of that.  ;-)

							Thanx, Paul